Subject: Re: bug#57245: 29.0.50; M-> in a large XML file (without long lines) is slow

From: Stefan Monnier <[email-masked]>
Date: Tue, 16 Aug 2022 17:45:13 -0400

> The font-lock narrowing (if it's indeed the method we're going to use to
> speed up its performance) shouldn't be conditioned on the presence of
> long lines.

font-lock does suffer from long lines, so the current code's handling of
font-lock makes some sense.  But indeed, we all agree it's not
sufficient because it only handles the long lines problem, and we still
need to tackle the case of large buffers, which is related but different.

        Stefan